## gtk-gnutella 1.1.5

=== doc/manual/Makefile ===
# Our primary source will be the png files.
IMGS = search-monitor.png \
 no_firewall.png         firewall.png      \
 leaf.png                smallserver.png

IMGS_SCALE =                              \
 downloads.png       gtkg-diagram.png     \
 gnet.png            gnet-stats.png       \
 host-cache.png      upload-history.png   \
 search.png          uploads.png          \
 preferences.png     preferences-upload.png

# Create a list of postscript files.  Needed to produce dvi and pdf
# output.
IMAGE_SCALE = $(addprefix images/, $(addsuffix .ps, $(basename $(IMGS_SCALE))))
IMAGE_LIST  = $(addprefix images/, $(addsuffix .ps, $(basename $(IMGS))))

all: manual.html manual.pdf

# docbook2html --dsl gtk-gnutella.dsl#html manual.xml

# The xml will reference the postscript images.  The html output needs
# to reference something that web browsers understand.
manual.html: manual.xml
	docbook2html --nochunks manual.xml
	sed -i -e s/\\\.ps/\\\.png/g manual.html

# docbook2dvi seems to generate many "errors".  However, output is
# generated.
manual.dvi: manual.xml $(IMAGE_LIST) $(IMAGE_SCALE)
	- docbook2dvi manual.xml
	if [ -e manual.dvi ]; then echo "ok"; else exit -1; fi

# Generate a TeX file, only use-able by [pdf]jadetex.
manual.tex: manual.xml
	docbook2tex manual.xml

# Alternatives create a pdf from the dvi file.
# eg, dvipdf dvipdfm
#
# docbook2pdf creates unreadable fonts on my system.  Perhaps because
# some fonts are not installed.
#
manual.pdf: manual.dvi
	dvipdfm manual.dvi

# Make a plain text file.
manual.txt: manual.html
	lynx  -dump  -nolist  manual.html > manual.txt

# Check the validity of the xml.
valid: manual.xml
	nsgmls -sv -c /etc/sgml/catalog /usr/share/sgml/xml.dcl manual.xml

# Remove generated files (not images).
clean:
	- @rm manual.dvi manual.log manual.pdf manual.aux  2> /dev/null
	- @rm manual.out manual.txt manual.tex manual.html 2> /dev/null

# Create postscript images from the PNGs.
$(IMAGE_SCALE) : %.ps : %.png
	pngtopnm -mix -background white $< | pnmtops -noturn  -nocenter -nosetpage -imagewidth 6.5 > $@

$(IMAGE_LIST) :  %.ps : %.png
	pngtopnm -mix -background white $< | pnmtops -noturn -nocenter -nosetpage > $@

## gtk-gnutella 0.80.0-2

=== debian/changelog ===
gtk-gnutella (0.80.0-2) unstable; urgency=low

  * fixed build dependencies

 -- Matthias Kabel <mkabel@debian.org>  Wed, 23 Jan 2002 06:11:55 +0100

gtk-gnutella (0.80.0-1) unstable; urgency=low

  * 0.80 beta-2 version

 -- Matthias Kabel <mkabel@debian.org>  Wed, 23 Jan 2002 00:06:28 +0100

gtk-gnutella (0.80.0-0) unstable; urgency=low

  * initial 0.80 beta version

 -- Raphael Manfredi <Raphael_Manfredi@pobox.com>  Sat, 19 Jan 2002 10:16:17 +0100

gtk-gnutella (0.18.0-0) unstable; urgency=low

  * new upstream CVS

 -- Raphael Manfredi <Raphael_Manfredi@pobox.com>  Mon, 19 Nov 2001 19:16:17 +0100

gtk-gnutella (0.17.0-0) unstable; urgency=low

  * new upstream CVS

 -- Raphael Manfredi <Raphael_Manfredi@pobox.com>  Wed, 24 Oct 2001 19:16:17 +0100

gtk-gnutella (0.16.0-0) unstable; urgency=low

  * new upstream CVS

 -- Raphael Manfredi <Raphael_Manfredi@pobox.com>  Wed, 3 Oct 2001 19:16:17 +0100

gtk-gnutella (0.13.3-4) unstable; urgency=low

  * build-dependecies corrected closes: Bug#92775, #87252

 -- Matthias Kabel <mkabel@debian.org>  Son, 15 Jul 2001 18:13:44 +0100

gtk-gnutella (0.13.3-3) unstable; urgency=low

  * build-dependecies corrected closes: Bug#104625

 -- Matthias Kabel <mkabel@debian.org>  Sat, 14 Jul 2001 21:23:52 +0100

gtk-gnutella (0.13.3-2) unstable; urgency=low

  * New manpage by Andras BALI <drewie@bigfoot.com>
  * corrected description field

    closes: Bug#103671

 -- Matthias Kabel <mkabel@debian.org>  Mon, 9 Jul 2001 20:33:12 +0100

gtk-gnutella (0.13.3-1) unstable; urgency=low

  * new upstream cvs
  * revoced part of the non socks proxy code
  * requeue on error and timeout (indefinetly)
  * start at most one download per second
  * cvs checkout is now orig.tar.gz

    closes: Bug#88035

 -- Goswin Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Wed, 28 Feb 2001 21:43:42 +0100

gtk-gnutella (0.13-2cvs-patch7-mrvn1) unstable; urgency=low

  * patched "bug in max connections" by Thorben Thuermer
    <thorbenthuermer@gmx.net> at Sun, 18 Feb 2001 19:39:45 +0100
  * patched "download fix" by Thorben Thuermer
    <thorbenthuermer@gmx.net> at Sun, 18 Feb 2001 22:49:12 +0100
  * removed obsolete HTPP 404 checking
  * correctly handle non resuming hosts, overwrite existing file (but
    don't delete)
  * warn about unknown headers, stop download unless http status was
    good
  * catch buggy clients that send a "busy" page with a HTTP 200 header
    by comparing sizes
  * resume old completed downlaods, move them back to the incomplete
    dir
  * proxy (non socks) support, changes to the html requests and
    parsing
  * changed parsing of http get for uploads to understand
    GET http://<host>:<ip>/get/<index>/<file>

 -- Goswin Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Wed, 21 Feb 2001 06:58:42 +0100

gtk-gnutella (0.13-2cvs-patch7) unstable; urgency=low

  * patch #103819 included (fixed failures)

 -- Goswin Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Wed, 21 Feb 2001 05:55:42 +0100

gtk-gnutella (0.13-2cvs-patch6) unstable; urgency=low

  * patch #103828 included (fixed failues)

 -- Goswin Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Wed, 21 Feb 2001 05:39:42 +0100

gtk-gnutella (0.13-2cvs-patch5) unstable; urgency=low

  * patch #103209 included

 -- Goswin Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Wed, 21 Feb 2001 05:38:42 +0100

gtk-gnutella (0.13-2cvs-patch4) unstable; urgency=low

  * patch #103208 included (patched by hand)

 -- Goswin Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Wed, 21 Feb 2001 05:36:42 +0100

gtk-gnutella (0.13-2cvs-patch3) unstable; urgency=low

  * patch #103207 included

 -- Goswin Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Wed, 21 Feb 2001 05:33:42 +0100

gtk-gnutella (0.13-2cvs-patch2) unstable; urgency=low

  * patch #103130 included

 -- Goswin Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Wed, 21 Feb 2001 05:31:42 +0100

gtk-gnutella (0.13-2.1) unstable; urgency=low

  * various fixes (see Changelog)

 -- Goswin Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Sat, 10 Feb 2001 23:51:23 +0100

gtk-gnutella (0.13-2) unstable; urgency=low

  * new upstream version (cvs snapshot)

 -- Goswin Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Sat, 10 Feb 2001 20:00:11 +0100

gtk-gnutella (0.12-3) unstable; urgency=low


  * added menu-entry for App/Net

 -- Matthias Kabel <mkabel@debian.org>  Tue, 31 Oct 2000 22:10:11 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: gtk-gnutella
Build-Depends: debmake, glade, tclsh, libgtk1.2-dev
Section: net
Priority: optional
Maintainer: Matthias Kabel <mkabel@debian.org>
Standards-Version: 3.1.1

Package: gtk-gnutella
Architecture: any
Depends: ${shlibs:Depends}
Description: shares files in a peer to peer network
 gtk-Gnutella is a real-time search, peer-based file-sharing
 client that allows a user running a Gnutella client to search
 for and download files from other Gnutella users.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=gtk-gnutella

build:
	$(checkdir)
	./configure --prefix=/usr
	$(MAKE) CFLAGS="-O2 -g -Wall"
#	cp menu.ex debian/tmp/usr/lib/menu/xtranslate 
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install prefix=`pwd`/debian/tmp/usr
	strip --remove-section=.comment --remove-section=.note `pwd`/debian/tmp/usr/bin/gtk-gnutella
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd ChangeLog NEWS README TODO 
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
# Next line removes spurious symlink -- RAM, 26/08/2001
	rm -f debian/tmp/.so.
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## gtk-gnutella 0.97

=== debian/changelog ===
gtk-gnutella (0.97-2) unstable; urgency=low

  * Fix FTBFS due to assuming va_list argument as a pointer, patched upstream
    (Closes: #637275) 

 -- Luca Bruno <lucab@debian.org>  Wed, 10 Aug 2011 21:45:21 +0200

gtk-gnutella (0.97-1) unstable; urgency=low

  * New upstream version (Closes: #619091)

 -- Luca Bruno <lucab@debian.org>  Mon, 18 Jul 2011 18:57:43 +0200

gtk-gnutella (0.96.8-1) unstable; urgency=medium

  * New upstream version, medium urgency
    + Fix critical crashes handling NOPE DHT values 

 -- Luca Bruno <lucab@debian.org>  Mon, 22 Mar 2010 08:46:12 +0100

gtk-gnutella (0.96.7-1) unstable; urgency=low

  * New upstream version
  * Bumped Standards-Version to 3.8.4

 -- Luca Bruno <lucab@debian.org>  Mon, 15 Mar 2010 22:11:43 +0100

gtk-gnutella (0.96.6+dfsg-2) unstable; urgency=low

  * _Really_ applying the patch for #522503 this time

 -- Luca Bruno <lucab@debian.org>  Sat, 16 May 2009 22:32:13 +0200

gtk-gnutella (0.96.6+dfsg-1) unstable; urgency=medium

  * Repacked upstream, removed non-free RFCs (Closes: #524975)
  * Added #ifdef for s390, avoiding FTBFS (Closes: #522503)

 -- Luca Bruno <lucab@debian.org>  Tue, 05 May 2009 18:47:37 +0200

gtk-gnutella (0.96.6-1) unstable; urgency=low

  * New upstream version
  * Bumped Standards-Version to 3.8.1
  * Raised compat version to 7, using dh_prep now too

 -- Luca Bruno <lucab@debian.org>  Tue, 31 Mar 2009 16:50:15 +0200

gtk-gnutella (0.96.5-1) unstable; urgency=low

  * New upstream version (Closes: #478118) 

 -- Luca Bruno <lucab@debian.org>  Sun, 27 Apr 2008 14:19:28 +0200

gtk-gnutella (0.96.4-3) unstable; urgency=low

  * Bumped Standards-Version to 3.7.3
  * Fixed Vcs field content

 -- Luca Bruno <lucab@debian.org>  Mon, 14 Jan 2008 15:44:19 +0100

gtk-gnutella (0.96.4-2) unstable; urgency=low

  * Fixed menu section complying with Debian Menu transition
  * Added debian/watch to track new upstream releases
  * Added SVN related entry in debian/control
  * Removed useless dependecies, bumped libxml2 version

 -- Luca Bruno <luca.br@uno.it>  Mon, 09 Jul 2007 15:34:25 +0200

gtk-gnutella (0.96.4-1) unstable; urgency=medium

  * New upstream version
  * Removed non-free RFCs (Closes: #393373)
  * Fixed download reschedule (Closes: #428792)
  * Workaround for a bug triggered by uim-gtk2.0 (Closes: #430655)

 -- Luca Bruno <luca.br@uno.it>  Sun, 08 Jul 2007 19:42:50 +0200

gtk-gnutella (0.96.3-1) unstable; urgency=medium

  * New maintainer (Closes: #418080)
  * New upstream version (Closes: #396132 and related)
  * Starting from rev12147, it should now build also on ARM (Closes: #397048)

 -- Luca Bruno <luca.br@uno.it>  Fri, 13 Apr 2007 19:01:34 +0200

gtk-gnutella (0.96.1svn12109-1) unstable; urgency=low

  * New upstream release
   - many new features, including remote control
  * Fixup German translation issues (Closes: #382649)
  * Passive searches now work as expected (Closes: #347523)
  * Download has been reworked in a number of ways, and the percentage
    has been removed from the status text (Closes: #271061)
  * You can now 'apply filter' (Closes: #195473)

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 16 Oct 2006 08:28:35 +1000

gtk-gnutella (0.96.1svn11444-3) unstable; urgency=low

  * Undo the magic I did which caused a successful build but broke the 
  Debian build system. Free beer if you (are the first to) figure out 
  what I did.

 -- Anand Kumria <wildfire@progsoc.org>  Wed,  9 Aug 2006 08:35:28 +1000

gtk-gnutella (0.96.1svn11444-2) unstable; urgency=low

  * Incorporate SVN11458 from upstream so we can compile on Alpha

 -- Anand Kumria <wildfire@progsoc.org>  Tue,  8 Aug 2006 08:16:07 +1000

gtk-gnutella (0.96.1svn11444-1) unstable; urgency=low

  * New SVN cut
  * Fixup IPv6 getlocaladdr() issue.
  * Fixup country names (Closes: #380671)
  * These SVN versions do not have the same download pane, it is completely
    different and it doesn't have these problems (Closes: #352059, #298632)
  * Upstream believe gtk-gnutella now acts correctly in low disk-space 
    situations (Closes: #343510)

 -- Anand Kumria <wildfire@progsoc.org>  Mon,  7 Aug 2006 09:42:32 +1000

gtk-gnutella (0.96.1svn11387-2) unstable; urgency=low

  * Tighten SQLlite Build-Dep to be 3.3.0 or later
  * Switch glade-2 Build-Dep to glade

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 31 Jul 2006 08:31:39 +1000

gtk-gnutella (0.96.1svn11387-1) unstable; urgency=low

  * New upstream release (cut from SVN) (Closes: #365256)
  * Vendors limit has been increased to 90% (Closes: #323271)
  * German UI has had fixups applied (Closes: #324312)
  * Add SQLlite Build-Dep and update to Standards-Version 3.7.2

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 30 Jul 2006 03:34:01 +1000

gtk-gnutella (0.96.1-0) unstable; urgency=medium

  * New upstream release

 -- Raphael Manfredi <Raphael_Manfredi@pobox.com>  Wed, 22 Feb 2006 17:14:17 +0100

gtk-gnutella (0.96cvs200602212138-1) unstable; urgency=low

  * Pull some more changes from CVS; unfortunately the CVS date is now
    meaningless since I'm cherry picking various changes.
  * Remove all mention of README.Debian; it is no longer in the MANIFESTs

 -- Anand Kumria <wildfire@progsoc.org>  Tue, 21 Feb 2006 21:39:04 +1100

gtk-gnutella (0.96cvs200602040801-2) unstable; urgency=medium

  * Urgency medium to get this out in the field quickly

 -- Anand Kumria <wildfire@progsoc.org>  Mon,  6 Feb 2006 11:11:48 +1100

gtk-gnutella (0.96cvs200602040801-1) unstable; urgency=low

  * Merge with latest 0.96 and some fixes from CVS (Closes: #350358)
  * Remove xlibs Build-Dep (Closes: #346677)
  * Activate D-BUS support
  * Update Spam and hostiles and ultra host lists
  * A few IPv6 bug fixes

 -- Anand Kumria <wildfire@progsoc.org>  Mon,  6 Feb 2006 03:02:29 +1100

gtk-gnutella (0.96-0) unstable; urgency=medium

  * New upstream release

 -- Raphael Manfredi <Raphael_Manfredi@pobox.com>  Tue, 24 Jan 2006 22:14:17 +0100

gtk-gnutella (0.96b-2) unstable; urgency=low



=== debian/control ===
Source: gtk-gnutella
Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, libgtk2.0-dev, zlib1g-dev (>= 1:1.1.4), libxml2-dev (>= 2.6.0), gettext, libgnutls-dev, libdbus-1-dev, quilt
Section: net
Vcs-Git: https://git.unstable.it/packages.git/
Vcs-Browser: https://git.unstable.it/?p=packages.git;a=shortlog;h=fbgrab
Priority: optional
Maintainer: Luca Bruno <lucab@debian.org>
Standards-Version: 3.9.2
Homepage: http://gtk-gnutella.sf.net/

Package: gtk-gnutella
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shares files in a peer to peer network
 Gtk-Gnutella is a reliable and efficient Gnutella client, supporting the
 latest Gnutella protocol, bandwidth limitation (both incoming and outgoing)
 traffic compression, and advanced search filters among other features.
 .
 Gnutella is a peer-based file-sharing protocol that allows a user
 running a Gnutella client to search for and download files from other
 Gnutella users, as well as share some files of his/her own.
 .
 Gtk-Gnutella offers all the extra features you expect from a modern client:
 persistent downloads, searches and filters, intuitive interface, upload
 statistics, queuing, and of course total control over many configuration
 parameters.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

override_dh_auto_configure:
	./Configure \
		-ders \
		-Dprefix=/usr \
		-Dprivlib=/usr/share/gtk-gnutella \
		-Dyacc=bison \
		-Dipv6=true \
		-Dgtkversion=2 \
		-Dofficial=true 

override_dh_auto_install:
	$(MAKE) install INSTALL_PREFIX=$(CURDIR)/debian/gtk-gnutella/

build: build-stamp
build-stamp: $(QUILT_STAMPFN)
	dh build
	touch build-stamp

clean: unpatch
	dh clean

install: build
install-stamp: patch-stamp
	dh install

binary-arch: install
	dh binary-arch

binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep

=== debian/watch ===
version=3

http://sf.net/gtk-gnutella/gtk-gnutella-(\d.*)\.tar\.bz2 \
debian uupdate

## gtk-gnutella 0.97.1

=== debian/changelog ===
gtk-gnutella (0.97.1-1) unstable; urgency=low

  * New upstream release, bugfixes

 -- Luca Bruno <lucab@debian.org>  Mon, 12 Sep 2011 08:41:13 +0200

## gtk-gnutella 0.98.1

=== debian/changelog ===
gtk-gnutella (0.98.1-1) unstable; urgency=low

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Sun, 25 Dec 2011 17:29:06 +0100

## gtk-gnutella 0.98.2

=== debian/changelog ===
gtk-gnutella (0.98.2-2) unstable; urgency=medium

  * Look for libs in multiarch path (Closes: #654538, #654617)

 -- Luca Bruno <lucab@debian.org>  Thu, 12 Jan 2012 15:22:26 +0100

gtk-gnutella (0.98.2-1) unstable; urgency=low

  * New upstream release
  * Update watch file
  * Fix git repository location in VCS tags

 -- Luca Bruno <lucab@debian.org>  Tue, 03 Jan 2012 09:53:29 +0100

## gtk-gnutella 0.98.3

=== debian/changelog ===
gtk-gnutella (0.98.3-1) unstable; urgency=low

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Tue, 05 Jun 2012 22:39:28 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/quilt/quilt.make
+
+DEB_HOST_MULTIARCH ?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 override_dh_auto_configure:
 	./Configure \
@@ -10,7 +12,8 @@
 		-Dyacc=bison \
 		-Dipv6=true \
 		-Dgtkversion=2 \
-		-Dofficial=true 
+		-Dofficial=true \
+		-Dlibpth="/lib/$(DEB_HOST_MULTIARCH) /lib /usr/lib/$(DEB_HOST_MULTIARCH) /usr/lib"
 
 override_dh_auto_install:
 	$(MAKE) install INSTALL_PREFIX=$(CURDIR)/debian/gtk-gnutella/

## gtk-gnutella 0.98.4

=== debian/changelog ===
gtk-gnutella (0.98.4-1) unstable; urgency=low

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Tue, 13 Nov 2012 21:02:35 +0100

## gtk-gnutella 1.0.0

=== debian/changelog ===
gtk-gnutella (1.0.0-2) unstable; urgency=medium

  * Also install the manpage

 -- Luca Bruno <lucab@debian.org>  Sun, 15 Dec 2013 14:39:50 +0100

gtk-gnutella (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Sat, 30 Nov 2013 17:54:44 +0100

## gtk-gnutella 1.0.1

=== debian/changelog ===
gtk-gnutella (1.0.1-1) unstable; urgency=high

  * New upstream release
    + Fixed grave bug, making all GTKGs appear hostile

 -- Luca Bruno <lucab@debian.org>  Mon, 06 Jan 2014 23:06:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: gtk-gnutella
-Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, libgtk2.0-dev, zlib1g-dev (>= 1:1.1.4), libxml2-dev (>= 2.6.0), gettext, libgnutls-dev, libdbus-1-dev, quilt
+Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, libgtk2.0-dev, zlib1g-dev (>= 1:1.1.4), libxml2-dev (>= 2.6.0), gettext, libgnutls-dev, libdbus-1-dev, quilt, dpkg-dev (>= 1.16.0)
 Section: net
-Vcs-Git: https://git.unstable.it/packages.git/
-Vcs-Browser: https://git.unstable.it/?p=packages.git;a=shortlog;h=fbgrab
+Vcs-Git: git://git.debian.org/git/collab-maint/gtk-gnutella.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/gtk-gnutella.git
 Priority: optional
 Maintainer: Luca Bruno <lucab@debian.org>
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,8 @@
 
 override_dh_auto_install:
 	$(MAKE) install INSTALL_PREFIX=$(CURDIR)/debian/gtk-gnutella/
+	# Also install the manpage
+	$(MAKE) install.man INSTALL_PREFIX=$(CURDIR)/debian/gtk-gnutella/
 
 build: build-stamp
 build-stamp: $(QUILT_STAMPFN)

=== debian/watch ===
version=3
http://sf.net/gtk-gnutella/gtk-gnutella-(\d.*)\.tar\.bz2

## gtk-gnutella 1.1.1

=== debian/changelog ===
gtk-gnutella (1.1.1-1) unstable; urgency=medium

  * New upstream release
    + Now building with latest gcc
    + Drop all patches, merged upstream

 -- Luca Bruno <lucab@debian.org>  Sat, 20 Sep 2014 15:02:47 +0200

gtk-gnutella (1.1.0-2) unstable; urgency=medium

  * Build-dep against libgnutls28-dev (Closes: #753041)
  * Temporarily use gcc 4.8 for building (Closes: #757735)
  * Fix FTBFS on arm*, due to incorrect va_list usage

 -- Luca Bruno <lucab@debian.org>  Wed, 20 Aug 2014 08:52:05 +0200

gtk-gnutella (1.1.0-1) unstable; urgency=medium
  
  [ Luca Bruno ]
  * New upstream release

  [ Unit 193 ]
  * d/control: Wrap and sort build-deps.
  * d/control: Drop build-dep on quilt and dpkg-dev, no longer needed.
  * d/control, d/compat: Use compat level 9.
  * d/control: Use canonical VCS-* URLs.
  * d/copyright: Fix copyright-refers-to-symlink-license, use GPL-2.
  * d/rules, d/control: Add a debug package.
  * d/rules: Switch to dh sequencer.

 -- Luca Bruno <lucab@debian.org>  Sat, 05 Jul 2014 16:32:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,18 @@
 Source: gtk-gnutella
-Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, libgtk2.0-dev, zlib1g-dev (>= 1:1.1.4), libxml2-dev (>= 2.6.0), gettext, libgnutls-dev, libdbus-1-dev, quilt, dpkg-dev (>= 1.16.0)
+Build-Depends: debhelper (>= 9),
+ gettext,
+ libdbus-1-dev,
+ libglib2.0-dev,
+ libgnutls28-dev,
+ libgtk2.0-dev,
+ libxml2-dev (>= 2.6.0),
+ zlib1g-dev (>= 1:1.1.4)
 Section: net
-Vcs-Git: git://git.debian.org/git/collab-maint/gtk-gnutella.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gtk-gnutella.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/gtk-gnutella.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gtk-gnutella.git
 Priority: optional
 Maintainer: Luca Bruno <lucab@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://gtk-gnutella.sf.net/
 
 Package: gtk-gnutella
@@ -24,3 +31,24 @@
  persistent downloads, searches and filters, intuitive interface, upload
  statistics, queuing, and of course total control over many configuration
  parameters.
+
+Package: gtk-gnutella-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, gtk-gnutella (= ${binary:Version})
+Description: shares files in a peer to peer network (debugging symbols)
+ Gtk-Gnutella is a reliable and efficient Gnutella client, supporting the
+ latest Gnutella protocol, bandwidth limitation (both incoming and outgoing)
+ traffic compression, and advanced search filters among other features.
+ .
+ Gnutella is a peer-based file-sharing protocol that allows a user
+ running a Gnutella client to search for and download files from other
+ Gnutella users, as well as share some files of his/her own.
+ .
+ Gtk-Gnutella offers all the extra features you expect from a modern client:
+ persistent downloads, searches and filters, intuitive interface, upload
+ statistics, queuing, and of course total control over many configuration
+ parameters.
+ .
+ This package contains debugging symbols for gtk-gnutella

## gtk-gnutella 1.1.5

=== debian/changelog ===
gtk-gnutella (1.1.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Luca Bruno <lucab@debian.org>  Fri, 16 Oct 2015 21:42:00 +0200

gtk-gnutella (1.1.5-1) unstable; urgency=medium

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Sat, 10 Oct 2015 23:10:30 +0200

gtk-gnutella (1.1.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Luca Bruno <lucab@debian.org>  Mon, 28 Sep 2015 17:34:31 +0200

gtk-gnutella (1.1.4-1) unstable; urgency=medium

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Sat, 19 Sep 2015 23:45:48 +0200

## gtk-gnutella 1.1.6

=== debian/changelog ===
gtk-gnutella (1.1.6-1) unstable; urgency=medium

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Thu, 12 Nov 2015 00:01:33 +0100

## gtk-gnutella 1.1.8

=== debian/changelog ===
gtk-gnutella (1.1.8-2) unstable; urgency=medium

  * Reintroducing the accidentally removed package.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 15 Jun 2016 00:40:47 +0200

gtk-gnutella (1.1.8-1) unstable; urgency=medium

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Mon, 28 Dec 2015 12:10:13 +0100

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_auto_configure:
	./Configure \
		-ders \
		-Dprefix=/usr \
		-Dprivlib=/usr/share/gtk-gnutella \
		-Darchlib=/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-gnutella \
		-Dyacc=bison \
		-Dipv6=true \
		-Dgtkversion=2 \
		-Dofficial=true \
		-Dlibpth="/lib/$(DEB_HOST_MULTIARCH) /lib /usr/lib/$(DEB_HOST_MULTIARCH) /usr/lib"

override_dh_auto_install:
	$(MAKE) install INSTALL_PREFIX=$(CURDIR)/debian/gtk-gnutella/
	# Also install the manpage
	$(MAKE) install.man INSTALL_PREFIX=$(CURDIR)/debian/gtk-gnutella/

override_dh_strip:
	dh_strip --dbg-package=gtk-gnutella-dbg

%:
	dh $@

## gtk-gnutella 1.1.15

=== debian/changelog ===
gtk-gnutella (1.1.15-1) unstable; urgency=medium

  * NMU upload, with maintainer's permission.
  * New upstream release (Closes: #856115).
    + fixed FTBFS with glibc 2.28 (Closes: #915258).
  * DH & compat to version 12.
  * Standards-Version: 4.5.0.
  * Removed -dbg package.
  * Updated watch file.
  * Vcs URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 26 Feb 2020 20:01:31 +1100

=== debian/control ===
Source: gtk-gnutella
Build-Depends: debhelper (>= 12~),
 gettext,
 libdbus-1-dev,
 libglib2.0-dev,
 libgnutls28-dev,
 libgtk2.0-dev,
 libxml2-dev (>= 2.6.0),
 zlib1g-dev (>= 1:1.1.4)
Section: net
Vcs-Git: https://salsa.debian.org/debian/gtk-gnutella.git
Vcs-Browser: https://salsa.debian.org/debian/gtk-gnutella
Priority: optional
Maintainer: Luca Bruno <lucab@debian.org>
Standards-Version: 4.5.0
Homepage: http://gtk-gnutella.sf.net/

Package: gtk-gnutella
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shares files in a peer to peer network
 Gtk-Gnutella is a reliable and efficient Gnutella client, supporting the
 latest Gnutella protocol, bandwidth limitation (both incoming and outgoing)
 traffic compression, and advanced search filters among other features.
 .
 Gnutella is a peer-based file-sharing protocol that allows a user
 running a Gnutella client to search for and download files from other
 Gnutella users, as well as share some files of his/her own.
 .
 Gtk-Gnutella offers all the extra features you expect from a modern client:
 persistent downloads, searches and filters, intuitive interface, upload
 statistics, queuing, and of course total control over many configuration
 parameters.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 DEB_HOST_MULTIARCH ?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 override_dh_auto_configure:
 	./Configure \
@@ -19,8 +20,5 @@
 	# Also install the manpage
 	$(MAKE) install.man INSTALL_PREFIX=$(CURDIR)/debian/gtk-gnutella/
 
-override_dh_strip:
-	dh_strip --dbg-package=gtk-gnutella-dbg
-
 %:
 	dh $@

=== debian/watch ===
version=3

## http://qa.debian.org/watch/sf.php/gtk-gnutella

http://sf.net/gtk-gnutella/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## gtk-gnutella 1.2.0

=== debian/changelog ===
gtk-gnutella (1.2.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 11 Oct 2020 15:16:09 -0700

## gtk-gnutella 1.2.1

=== debian/changelog ===
gtk-gnutella (1.2.1-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Dec 2021 11:22:50 -0800

=== debian/rules ===
--- 
+++ 
@@ -20,5 +20,8 @@
 	# Also install the manpage
 	$(MAKE) install.man INSTALL_PREFIX=$(CURDIR)/debian/gtk-gnutella/
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 %:
 	dh $@

## gtk-gnutella 1.2.2

=== debian/changelog ===
gtk-gnutella (1.2.2-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux 23.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 02 Aug 2023 08:42:26 -0700

gtk-gnutella (1.2.2-0.1~mx21+1) mx; urgency=medium

  * New important bugfix release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 09 Feb 2023 15:16:52 -0800

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: gtk-gnutella
 Build-Depends: debhelper (>= 12~),
- gettext,
- libdbus-1-dev,
- libglib2.0-dev,
- libgnutls28-dev,
- libgtk2.0-dev,
- libxml2-dev (>= 2.6.0),
- zlib1g-dev (>= 1:1.1.4)
+               gettext,
+               libdbus-1-dev,
+               libglib2.0-dev,
+               libgnutls28-dev,
+               libgtk2.0-dev,
+               libxml2-dev (>= 2.6.0),
+               zlib1g-dev (>= 1:1.1.4)
 Section: net
 Vcs-Git: https://salsa.debian.org/debian/gtk-gnutella.git
 Vcs-Browser: https://salsa.debian.org/debian/gtk-gnutella
 Priority: optional
-Maintainer: Luca Bruno <lucab@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Luca Bruno <lucab@debian.org>
 Standards-Version: 4.5.0
 Homepage: http://gtk-gnutella.sf.net/
 
 Package: gtk-gnutella
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: shares files in a peer to peer network
  Gtk-Gnutella is a reliable and efficient Gnutella client, supporting the
  latest Gnutella protocol, bandwidth limitation (both incoming and outgoing)
